# How to create a category

Its pretty easy to create a category. Navigate to `UltraCollections/gui` and in the gui folder, simply create a new yml, for example, `combat.yml`. Then, paste the code below in it, you can modify this as to your needs.

* The `category_name` is important as that is what you define in collections for them to show up in this category.

### Actions

There is a actions system with which you can make certain items do certain things when left clicked, here are all the available actions (opengui, play\_sound, run\_command & send\_message):

```
      actions:
        opengui: main
        play_sound:
          sound: "ENTITY_ITEM_PICKUP"
          volume: 1.0
          pitch: 1.0
        send_message:
          message: You have not unlocked this yet!
        run_command:
          command: crafting open dirt_minion # example command
          as_op: true
```

### combat.yml

````GUI:
  title: Combat
  category_name: combat
  structure:
    - "# # # # ? # # # #"
    - "# . . . . . . . #"
    - "# . . . . . . . #"
    - "# . . . . . . . #"
    - "# . . . . . . . #"
    - "# # # B C N # # #"

  locked_collection_gui_item:
    gui_item: gray_dye
    item_name: "&c???"
    custom_model_data: 1069
    item-lore:
      - "&7Unknown Collection"

  collection_unlocked_gui_lore:
    - '  &eProgress: {progress_percentage}'
    - '  &e{progress_bar}{currentxp}/{max_xp}'
    - '  &eRewards:'
    - '  {rewards}'
    - ''
    - '&eClick to view'

  ingredients:
    filler:
      gui_item: BLACK_STAINED_GLASS_PANE
      item_icon: "#"
      item_name: "&f"
      item-lore: []
      custom_model_data: 1069
    collections_main:
      gui_item: PAINTING
      item_name: "&aCombat Collections"
      item_icon: "?"
      custom_model_data: 1069
      item-lore:
        - "&7View your combat Collections!"
    combat:
      gui_item: GOLDEN_HOE
      item_name: "&bCombat Collections"
      item_icon: "F"
      custom_model_data: 1069
      item-lore:
        - "&7View your combat collections"

    back:
      gui_item: ARROW
      item_name: "&aGo Back"
      item_icon: "B"
      custom_model_data: 1069
      item-lore:
        - "&7to the"
        - "&7previous page"
    next:
      gui_item: ARROW
      item_name: "&aNext"
      item_icon: "N"
      custom_model_data: 1069
      item-lore:
        - "&7Go to the"
        - "&7next page"

    close:
      gui_item: BARRIER
      item_name: "&cClose"
      item_icon: "C"
      item-lore: []
      actions:
        opengui: main
        play_sound:
          sound: "ENTITY_ITEM_PICKUP"
          volume: 1.0
          pitch: 1.0```
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pogmc.net/plugins/ultracollections/how-to-create-a-category.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
